View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
17372Bug reportsImport/Exportpublic2021-07-12 11:53
Reportergabrieljenik Assigned Toollehar  
PriorityhighSeveritycrash 
Status closedResolutionfixed 
Product Version5.x 
Summary17372: Importing LSQ fails with files generated from LSv4+
DescriptionImporting LSQ fails with files generated from LS4 and more.

It happens with questions that has answer options.
The issue is about internationalization (when the file has answer_l10ns)
LSQ attached.
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)5.0
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMysql
Server OS (if known)
Webserver software & version (if known)
PHP VersionPHP

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2021-06-18 20:00

manager  

image.png (85,330 bytes)   
image.png (85,330 bytes)   
image-2.png (39,864 bytes)   
image-2.png (39,864 bytes)   
limesurvey_question_5750.lsq (3,120 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Question</LimeSurveyDocType>
 <DBVersion>450</DBVersion>
 <languages>
  <language>en</language>
 </languages>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
   <fieldname>encrypted</fieldname>
   <fieldname>question_theme_name</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[5750]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[794331]]></sid>
    <gid><![CDATA[838]]></gid>
    <type><![CDATA[!]]></type>
    <title><![CDATA[Q02]]></title>
    <preg/>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[2]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <encrypted><![CDATA[N]]></encrypted>
   </row>
  </rows>
 </questions>
 <question_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>question</fieldname>
   <fieldname>help</fieldname>
   <fieldname>language</fieldname>
   <fieldname>script</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[10470]]></id>
    <qid><![CDATA[5750]]></qid>
    <question><![CDATA[Question with answer options]]></question>
    <help/>
    <language><![CDATA[en]]></language>
   </row>
  </rows>
 </question_l10ns>
 <answers>
  <fields>
   <fieldname>aid</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>code</fieldname>
   <fieldname>sortorder</fieldname>
   <fieldname>assessment_value</fieldname>
   <fieldname>scale_id</fieldname>
  </fields>
  <rows>
   <row>
    <aid><![CDATA[7026]]></aid>
    <qid><![CDATA[5750]]></qid>
    <code><![CDATA[A1]]></code>
    <sortorder><![CDATA[1]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
   <row>
    <aid><![CDATA[7027]]></aid>
    <qid><![CDATA[5750]]></qid>
    <code><![CDATA[A2]]></code>
    <sortorder><![CDATA[2]]></sortorder>
    <assessment_value><![CDATA[0]]></assessment_value>
    <scale_id><![CDATA[0]]></scale_id>
   </row>
  </rows>
 </answers>
 <answer_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>aid</fieldname>
   <fieldname>answer</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[9784]]></id>
    <aid><![CDATA[7026]]></aid>
    <answer><![CDATA[Option 1]]></answer>
    <language><![CDATA[en]]></language>
   </row>
   <row>
    <id><![CDATA[9785]]></id>
    <aid><![CDATA[7027]]></aid>
    <answer><![CDATA[Option 2]]></answer>
    <language><![CDATA[en]]></language>
   </row>
  </rows>
 </answer_l10ns>
</document>
limesurvey_question_5750.lsq (3,120 bytes)   
ollehar

ollehar

2021-06-21 14:19

administrator   ~64959

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32104
c_schmitz

c_schmitz

2021-07-12 11:53

administrator   ~65355

Release done.

Related Changesets

LimeSurvey: master 7e6e1003

2021-06-21 14:19:31

ollehar

Details Diff
Fixed issue 17372: Importing LSQ fails with files generated from LSv4+ Affected Issues
17372
mod - application/helpers/admin/import_helper.php Diff File

Issue History

Date Modified Username Field Change
2021-06-18 20:00 gabrieljenik New Issue
2021-06-18 20:00 gabrieljenik File Added: image.png
2021-06-18 20:00 gabrieljenik File Added: image-2.png
2021-06-18 20:00 gabrieljenik File Added: limesurvey_question_5750.lsq
2021-06-19 23:13 ollehar Priority none => high
2021-06-19 23:13 ollehar Description Updated View Revisions
2021-06-21 14:03 ollehar Assigned To => ollehar
2021-06-21 14:03 ollehar Status new => assigned
2021-06-21 14:19 ollehar Changeset attached => LimeSurvey master 7e6e1003
2021-06-21 14:19 ollehar Note Added: 64959
2021-06-21 14:19 ollehar Resolution open => fixed
2021-06-21 14:19 ollehar Status assigned => resolved
2021-07-12 11:53 c_schmitz Note Added: 65355
2021-07-12 11:53 c_schmitz Status resolved => closed